Name:           plexus-sec-dispatcher
Version:        1.4
Release:        %mkrel 25
Group:          Development/Java
Summary:        Plexus Security Dispatcher Component
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-sec-dispatcher
BuildArch:      noarch

# svn export http://svn.sonatype.org/spice/tags/plexus-sec-dispatcher-1.4/
# tar jcf plexus-sec-dispatcher-1.4.tar.bz2 plexus-sec-dispatcher-1.4/
Source0:        %{name}-%{version}.tar.bz2

# Removed maven-compiler-plugin configuration version in the pom as annotations isn't available in version 1.4.
Patch0:         %{name}-pom.patch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.sonatype.plexus:plexus-cipher)
BuildRequires:  mvn(org.sonatype.spice:spice-parent:pom:)

%description
Plexus Security Dispatcher Component

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%mvn_file : plexus/%{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Fri Aug 21 2020 neoclust <neoclust> 1.4-25.mga8
+ Revision: 1617589
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1.4-24.mga8
+ Revision: 1499271
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4-23.mga7
+ Revision: 1274448
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.4-21.mga6
+ Revision: 977791
- First rebuild of the java stack
- sync package plexus-sec-dispatcher with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 17 2015 daviddavid <daviddavid> 1.4-17.mga5
+ Revision: 811077
- Sync with fc22 (fix plexus directory)
- clean rebuild

* Thu Jan 15 2015 daviddavid <daviddavid> 1.4-16.mga5
+ Revision: 810802
- build with xmvn
- use .mfiles generated during build

* Wed Oct 15 2014 umeabot <umeabot> 1.4-15.mga5
+ Revision: 749913
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Sun Sep 29 2013 dmorgan <dmorgan> 1.4-11.mga4
+ Revision: 488862
- Fix BR
- Remove unneeded BR: plexus-container-default
- Remove unneeded R: spice-parent, resolves: rhbz#908584

* Sun Jan 13 2013 umeabot <umeabot> 1.4-8.mga3
+ Revision: 377917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 1.4-7.mga3
+ Revision: 292261
- Replace plexus-maven-plugin with plexus-component-metadata

* Tue Jan 03 2012 gil <gil> 1.4-6.mga2
+ Revision: 189824
- replaced plexus-maven-plugin with plexus-component-metadata
+ dmorgan <dmorgan>
- Add spice-parent to Requires
    - Fixes according to new guidelines
    - Versionless jars & javadocs
    - Use maven3 to build

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4-4.mga1
+ Revision: 93031
- Rebuild after bootstrapping
- imported package plexus-sec-dispatcher


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 04 2010 Hui Wang <huwang@redhat.com> - 1.4-2
- Fixed url

* Fri May 21 2010 Hui Wang <huwang@redhat.com> - 1.4-1
- Initial version of the package
